summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMarcel Hellkamp <marc@gsites.de>2019-12-01 19:31:21 +0100
committerMarcel Hellkamp <marc@gsites.de>2019-12-01 19:56:37 +0100
commitd9d1b35a72abaf97f6f682875a7d8cbac8ddb671 (patch)
tree9debadd505faff26508d51421a15f46781b30ec3
parent3ce0fe61221e8b8aa695d296762aebc7c393a04d (diff)
downloadbottle-defnull-gh-actions.tar.gz
Installing more test dependencies based on available python versiondefnull-gh-actions
-rwxr-xr-x.github/workflows/install-deps.sh15
-rw-r--r--.github/workflows/run_tests.yml (renamed from .github/workflows/pythonpackage.yml)6
2 files changed, 17 insertions, 4 deletions
diff --git a/.github/workflows/install-deps.sh b/.github/workflows/install-deps.sh
new file mode 100755
index 0000000..495ecb0
--- /dev/null
+++ b/.github/workflows/install-deps.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+# Test utilities
+pip install -U pip pytest coverage
+
+# Test dependencies (Server back-ends and template engines)
+sudo apt-get install -y libev-dev
+pip install mako jinja2
+
+for name in waitress "cherrypy<9" cheroot paste tornado twisted diesel meinheld\
+ gunicorn eventlet flup fapws3 rocket bjoern gevent uvloop; do
+ pip install $name || echo "Failed to install $name with $(python -V)" 1>&2
+done
diff --git a/.github/workflows/pythonpackage.yml b/.github/workflows/run_tests.yml
index 376a728..7664a95 100644
--- a/.github/workflows/pythonpackage.yml
+++ b/.github/workflows/run_tests.yml
@@ -1,4 +1,4 @@
-name: Python package
+name: Run tests
on: [push]
jobs:
@@ -16,9 +16,7 @@ jobs:
python-version: ${{ matrix.python-version }}
- name: Install dependencies
run: |
- python -m pip install --upgrade pip
- pip install pytest
+ .github/workflows/install-deps.sh
- name: Run tests
run: |
- pip install pytest
pytest